---
title: "Get Object"
url: https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/get-object/
description: "This page lists the iOS SDK method to get an object or objects from the bucket."
last_updated: 2026-09-08T11:07:33Z
service: Cloud Scale
type: general
related_links:
- name: "Stratus Component Help Documentation"
url: /en/cloud-scale/help/stratus/introduction
- name: "Java SDK"
url: /en/sdk/java/v1/cloud-scale/stratus/get-objects/
- name: "JavaScript SDK Documentation"
url: /en/sdk/javascript/v1/overview/
- name: "Python SDK"
url: /en/sdk/python/v1/cloud-scale/stratus/get-objects/
- name: "Android SDK"
url: /en/sdk/android/v2/cloud-scale/stratus/get-object/
- name: "Flutter SDK"
url: /en/sdk/flutter/v1/cloud-scale/stratus/get-object/
- name: "REST API"
url: /en/api/code-reference/cloud-scale/stratus/get-all-objects/#GetAllObjects
---
# Get Object
This SDK method can be used to get an object from the bucket. The response will be in **blob** format.
When [Versioning](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/stratus-config/general-settings/#versioning) is enabled for the bucket:
* If you do not pass the `versionId`, then only the **latest object** will be returned.
* To retrieve a specific version, use the `versionId` query parameter with a valid version as a value.
**Parameters Used**
| Parameter Name |
Definition |
| `objectKey` |
A **mandatory** parameter. Will contain the object name. |
| `versionId` |
An **optional** parameter. Will hold the unique version ID of the required object's version. |
```bash
bucketInstance.getObject( objectKey : "{object_name}", versionId : "{version_id}" ) { result in
switch result {
case .success( let object ) :
print( "File Name : \( object.fileName )" )
case .error(let error) :
print("Error : \( error )")
}
}
```
The required object will be returned.
**Possible Exception**
* **404**: Object or Bucket Not Found
### Get All Objects
This SDK method can be used to get all the objects present in the bucket using pagination technique.
**Parameters Used**
| Parameter Name |
Data Type |
Definition |
| `prefix` |
**String** |
An **Optional** parameter. This will get the objects that match the prefix value. |
| `maxKeys` |
**Number** |
An **Optional** parameter. Will contain the maximum limit of objects that can be listed by pagination. |
| `continuation_token` |
**String** |
An **Optional** parameter. If the response was truncated, the value of this key must be passed as `continuation_token` to the same method for retrieving the next set of objects. |
```bash
var params = ZCatalystQuery.ObjectParams()
params.maxKeys = 10
params.continuationToken = "{continuation_token}"
parmas.prefix = "{prefix}"
bucketInstance.getObjects( withParams : params ) { result in
switch result {
case .success( let objects, let response ) :
for object in objects {
print("File Name : \( object.fileName )")
}
case .error( let error ) :
print("Error : \( error )")
}
}
```
The required object will be returned as an array in Blob format.
**Possible Exception**
* **404**: Object or Bucket Not Found